%define name cputnik
%define version 0.2.0
%define release 3

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	WindowMaker dockapp which displays cpu and memory usage
Source:		%{name}-%{version}.tar.gz
Source1: 	%{name}.48.png
Source2: 	%{name}.32.png
Source3: 	%{name}.16.png
License:	GPL
Group:		Monitoring
URL:		http://dockapps.org/file.php/id/273
Requires:	libx11
BuildRequires: 	libx11-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is small WindowMaker dockapp which displays cpu and memory usage. Configuration can be changed via ~/.clay/cputnik.rc using text editor.

%description -l de
WindowMaker-Dockapp, das CPU-Last und Speicherverbrauch anzeigt. Die Konfiguration erfolgt per Texteditor in der Datei ~/.clay/cputnik.rc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
cd ./src

%make

%install
mkdir -p %buildroot%{_bindir}
install -m 755 %{_builddir}/%{name}-%{version}/src/cputnik %buildroot%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):cputnik 
command="%_bindir/cputnik" 
needs="X11" 
section="Monitoring" 
icon="cputnik.png" 
title="cputnik" 
longtitle="cputnik"
EOF

# xdg menu entry
mkdir -p %buildroot/%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=WindowMaker dockapp which displays cpu and memory usage
Comment[de]=WindowMaker-Dockapp, das CPU-Last und Speicherverbrauch anzeigt 
Exec=%{_bindir}/%{name}
Icon=%{_iconsdir}/cputnik.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%post
%update_menus
%postun
%clean_menus

%files
%doc AUTHORS COPYING NEWS README
#%defattr(-,root,root,0755)
%{_bindir}/cputnik
%{_menudir}/cputnik
%{_iconsdir}/cputnik.png
%{_miconsdir}/cputnik.png
%{_liconsdir}/cputnik.png
%{_datadir}/applications/cputnik.desktop

%changelog

* Sat Apr 12 2008 Mario Blättermann <rpm@mandrivauser.de> 0.2.0-3mud2009.0
- rebuild for 2009.0
- fixed Requires and BuildRequires

* Sat Apr 12 2008 Mario Blättermann <rpm@mandrivauser.de> 0.2.0-2mud2008.1
- rebuild for 2008.1

* Sat Feb 02 2008 Oliver Burger <rpm@mandrivauser.de> 0.2.0-1mud2008.0
- rebuild for MUde

* Sat Feb 02 2008 Mario Blättermann <mario.blaettermann@t-online.de>
- initial version